defmodule MessengerBot.Application do
  @moduledoc false

  use Application

  def start(_type, _args) do
    import Supervisor.Spec, warn: false

    children = [
      supervisor(MessengerBot.Webhook.Supervisor.AccountLinking, []),
      supervisor(MessengerBot.Webhook.Supervisor.Delivery, []),
      supervisor(MessengerBot.Webhook.Supervisor.Message, []),
      supervisor(MessengerBot.Webhook.Supervisor.Optin, []),
      supervisor(MessengerBot.Webhook.Supervisor.Postback, []),
      supervisor(MessengerBot.Webhook.Supervisor.Read, []),
      supervisor(MessengerBot.Webhook.Supervisor.Referral, []),
    ]

    opts = [strategy: :one_for_one, name: MessengerBot.Supervisor]
    Supervisor.start_link(children, opts)
  end
end
