defmodule MessengerBot.Model.Attachment do
  @moduledoc """
  Structure and type for attachment
  """

  alias MessengerBot.Model.{Multimedia, Location}

  @derive [Poison.Encoder]
  defstruct [:title, :url, :type, :payload]

  @type t :: %__MODULE__{
    title: String.t,
    url: String.t,
    type: String.t,
    payload: Multimedia.t | Location.t
  }
end
