defmodule MessengerBot.Model.MenuItem do
  @moduledoc """
  Structure and type for menu item
  """

  @derive [Poison.Encoder]
  defstruct [:type, :title, :url, :payload, :call_to_actions,
    :webview_height_ratio, :messenger_extensions, :fallback_url,
    :webview_share_button]

  @type t :: %__MODULE__{
    type: String.t,
    title: String.t,
    url: String.t,
    payload: String.t,
    call_to_actions: list(__MODULE__.t),
    messenger_extensions: boolean,
    fallback_url: String.t,
    webview_share_button: String.t
  }
end
