defmodule MessengerBot.Model.Message do
  @moduledoc """
  Structure and type for message
  """

  alias MessengerBot.Model.{Attachment, QuickReply}

  @derive [Poison.Encoder]
  defstruct [:mid, :text, :attachments, :quick_reply, :seq, is_echo: false]

  @type t :: %__MODULE__{
    mid: String.t,
    text: String.t,
    attachments: list(Attachment.t),
    quick_reply: QuickReply.t,
    seq: integer,
    is_echo: boolean
  }
end
