defmodule MessengerBot.Model.Messaging do
  @moduledoc """
  Structure and type for messaging
  """

  alias MessengerBot.Model.{Sender, Recipient, Message, Delivery, Read,
    Postback, Optin, Referral, AccountLinking}

  @derive [Poison.Encoder]
  defstruct [:sender, :recipient, :timestamp, :message, :delivery, :read,
    :postback, :optin, :referral, :account_linking]

  @type t :: %__MODULE__{
    sender: Sender.t,
    recipient: Recipient.t,
    timestamp: integer,
    message: Message.t,
    delivery: Delivery.t,
    read: Read.t,
    postback: Postback.t,
    optin: Optin.t,
    referral: Referral.t,
    account_linking: AccountLinking.t
  }
end
