defmodule MessengerBot.Model.PersistentMenuItem do
  @moduledoc """
  Structure and type for persistent menu item
  """

  alias MessengerBot.Model.MenuItem

  @derive [Poison.Encoder]
  defstruct [:locale, :composer_input_disabled, :call_to_actions]

  @type t :: %__MODULE__{
    locale: String.t,
    composer_input_disabled: boolean,
    call_to_actions: list(MenuItem.t)
  }
end
