defmodule MessengerBot.Mixfile do
  use Mix.Project

  def project do
    [app: :messenger_bot,
     version: "0.1.0",
     elixir: "~> 1.4",
     build_embedded: Mix.env == :prod,
     start_permanent: Mix.env == :prod,
     description: description(),
     package: package(),
     deps: deps(),]
  end

  # Configuration for the OTP application
  #
  # Type "mix help compile.app" for more information
  def application do
    [extra_applications: [:logger],
     mod: {MessengerBot.Application, []}]
  end

  defp deps do
    [
      {:plug, "~> 1.3.5"},
      {:cowboy, "~> 1.1.2"},
      {:poison, "~> 3.1"},
      {:httpoison, "~> 0.11.2"},
      {:poolboy, "~> 1.5.1"},
      {:mock, "~> 0.1.3", only: [:test]},
      {:credo, "~> 0.7.4", only: [:dev], runtime: false},
      {:dialyxir, "~> 0.5.0", only: [:dev], runtime: false},
      {:ex_doc, ">= 0.0.0", only: :dev}]
  end

  defp description do
    """
    Facebook Messenger chatbot client
    """
  end

  defp package do
    [name: :messenger_bot,
     files: ["lib", "mix.exs", "README.md"],
     maintainers: ["Mustafa Turan"],
     licenses: ["MIT"],
     links: %{"GitHub" => "https://github.com/mustafaturan/messenger_bot"}]
  end
end
