defmodule MessengerBot.Payload.MessengerProfileSetRequest do
  @moduledoc """
  Request struct
  """

  @derive [Poison.Encoder]
  defstruct [:get_started, :persistent_menu]

  @type t :: %__MODULE__{
    get_started: Map.t,
    persistent_menu: list(Map.t)
  }

  def build_get_started_button do
    %__MODULE__{get_started: %{payload: "GET_STARTED_PAYLOAD"}}
  end

  def build_persistent_menu(menu_items) do
    %__MODULE__{persistent_menu: menu_items}
  end
end
