defmodule MessengerBot.Payload.UserProfileRequest do
  @moduledoc """
  Request struct
  """

  @derive [Poison.Encoder]
  defstruct [:id, :fields]

  @type t :: %__MODULE__{
    id: String.t,
    fields: String.t
  }

  @doc """
  Build struct for message
  """
  def build(id, fields) do
    %__MODULE__{id: id, fields: Enum.join(fields, ",")}
  end
end
